##
##  msort.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         msort
Summary:      File Record Sorting
URL:          http://billposer.org/Software/msort.html
Vendor:       Bill Poser
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        ShellUtils
License:      GPL
Version:      8.53
Release:      20100111

#   list of sources
Source0:      http://billposer.org/Software/Downloads/msort-%{version}.tar.gz
Patch0:       msort.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, gcc
PreReq:       OpenPKG, openpkg >= 20040130
BuildPreReq:  libutf8, libutf8proc, tre, tre::with_utf8 = yes
PreReq:       libutf8, libutf8proc, tre, tre::with_utf8 = yes
AutoReq:      no
AutoReqProv:  no

%description
    msort(1) is a program for sorting files in sophisticated ways. It
    was originally developed for alphabetizing dictionaries of "exotic"
    languages, for which it has been extensively used, but is useful for
    many other purposes. msort(1) differs from typical sort(1) utilities
    in providing greater flexibility in parsing the input into records
    and identifying key fields and greater control over the sort order.

%track
    prog msort = {
        version   = %{version}
        url       = http://billposer.org/Software/msort.html
        regex     = msort-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    ( echo "ac_cv_header_libintl_h=no"
    ) >config.cache
    export CC="%{l_cc}"
    export CFLAGS="%{l_cflags -O}"
    export CPPFLAGS="%{l_cppflags}"
    export LDFLAGS="%{l_ldflags}"
    CFLAGS="$CFLAGS `pkg-config tre --cflags-only-other`"
    CPPFLAGS="$CPPFLAGS `pkg-config tre --cflags-only-I`"
    LDFLAGS="$LDFLAGS `pkg-config tre --libs-only-L`"
    LIBS="$LIBS `pkg-config tre --libs-only-l`"
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --disable-uninum \
        --disable-allocaok
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

